package domowe.r4.pan_tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Map;
import java.util.Scanner;
import java.util.TreeMap;

public class PoliczWszystkieSlowa_v1 {

    public static void main(String[] args) {
        Map<String, Integer> slownik = new TreeMap<>();
        
        try(Scanner scanner = new Scanner(new File("pliki/pan_tadeusz.txt"))) {
            scanner.useDelimiter("[^\\p{L}\\d]+");
            while(scanner.hasNext()) {
                String slowo = scanner.next();
                if(slownik.containsKey(slowo)) {
                    int ileBylo = slownik.get(slowo);
                    slownik.put(slowo, ileBylo + 1);
                } else {
                    slownik.put(slowo, 1);
                }
            }
        } catch(FileNotFoundException e) {
            e.printStackTrace();
        }
        
        // System.out.println(slownik);
        
        for(Map.Entry<String, Integer> entry : slownik.entrySet()) {
            System.out.println(entry.getKey() + " → " + entry.getValue());
        }
    }

}
